package exercise;

import static org.junit.jupiter.api.Assertions.fail;

import org.junit.jupiter.api.AfterAll;
import org.junit.jupiter.api.AfterEach;
import org.junit.jupiter.api.BeforeAll;
import org.junit.jupiter.api.BeforeEach;
import org.junit.jupiter.api.Disabled;
import org.junit.jupiter.api.DisplayName;
import org.junit.jupiter.api.Test;

public class AppTest {

    // Create a fixture for the class under test
    private App classUnderTest;

    // Do something before any test is run in this class

    // Do something after all tests in this class are run

    // Create an instance of the test class before each @Test method is executed
    public void setUp() throws Exception {
        System.out.println("@BeforeEach: setUp()");
        classUnderTest = new App();
    }

    // Destroy reference to the instance of the test class after each @Test method is executed
    public void tearDown() throws Exception {
        System.out.println("@AfterEach: tearDown()");
        classUnderTest = null;
    }

    // Disabled test
    void testNotRun() {
        System.out.println("This will never show up.");
    }

    // ...

}
